Pod::WSDL::Type(3pm)

NAME
Pod::WSDL::Type - Represents a type in Pod::WSDL (internal use only)

SYNOPSIS
  use Pod::WSDL::Type;
  my $type = new Pod::WSDL::Param(name => 'My::Foo', array => 0, descr => 'My foo bars');

DESCRIPTION
This module is used internally by Pod::WSDL. It is unlikely that you have to interact directly with it. If that is the case, take a look at the code, it is rather simple.

METHODS

  new
Instantiates a new Pod::WSDL::Type.

Parameters

•   name - name of the type, something like 'string', 'boolean', 'My::Foo' etc.

•   array - if true, an array of the type is used (defaults to 0)

•   descr - description of the type

•   pod - the wsdl pod of the type. Please see the section "Pod Syntax" in the description of Pod::WSDL.

  writeComplexType
Write complex type element for XML output. Takes one parameter: ownTypes, reference to hash with own type information

EXTERNAL DEPENDENCIES
  [none]

EXAMPLES
see Pod::WSDL

BUGS
see Pod::WSDL

TODO
see Pod::WSDL

SEE ALSO
  Pod::WSDL :-)

AUTHOR
Tarek Ahmed, <bloerch -the character every email address contains- oelbsk.org>

COPYRIGHT AND LICENSE
Copyright (C) 2006 by Tarek Ahmed

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.5 or, at your option, any later version of Perl 5 you may have available.